26 de Setembro 2023 - #RAS 

## Definition of Requirements Engineering
- **Requirements engineering** designates all the activities related to requirements discovery, negotiation, documentation, and maintenance.
- Alternative designation: analysis

>[!hint]+ Zave, 1997
>Requirements engineering, in the scope of software engineering, is focused on the real-world objectives established for the functionalities and the restrictions of software systems.

Requirements engineering seeks to ensure the three following objectives:
1. all the relevant requirements are explicitly known and comprehended at the intended level of detail;
2. a reasonable and wide agreement about the requirements is obtained among the stakeholders;
3. all the requirements are duly documented, in conformity with the established formats and templates.

>[!info] Requirements engineering determines what the system must do to meet the necessities of users and *not* how it should be built.

>[!info] It is desirable keeping the requirements strictly separated from their own solutions.


>[!hint] The requirements of a given system are necessary, clear, correct, complete, viable, traceable, verifiable and negotiable.


## Activities
